29tools
New · MCP SuiteYour infrastructure now talks to AI agents.

Claude, Codex & co. manage DNS, domains and certificates directly, including DNS Doctor diagnostics.

Explore the MCP Suite
DNS automation
v1.6.2
Download OpenAPI
List customer domains
List registered domains together with key portfolio details such as owner label, DNSSEC status, renewal status, and expiry date. Supports text search, filtering, sorting, and pagination.
GET
/domains
Domains

Authentication

x-api-key

Parameters

Name
Type
Format
Required
Description
filter
query
string
-
Optional
Comma-separated list of filters. Supported values are `cancelled` and `dnssec-inactive`.
page
query
integer
-
Optional
-
pageSize
query
integer
-
Optional
-
search
query
string
-
Optional
Case-insensitive partial match against the domain name, owner label, or primary nameserver.
sortBy
query
string
-
Optional
Sort by one of the public response fields listed in `domainListSortKey`.
sortOrder
query
string
-
Optional
-

Request example

GET
curl --request GET \
  --url 'https://api.regfish.com/domains?filter=example&page=1&pageSize=100&search=example&sortBy=domain&sortOrder=asc' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
Customer domain list
application/jsondomainListResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "domains": [
      {
        "domain": "www.example.com",
        "sld": "example",
        "tld": "example",
        "favorite": true,
        "owner": "example",
        "primary_nameserver": "example",
        "dnssec_state": "active",
        "auto_renew": true,
        "cancelled": true,
        "registered_at": 1,
        "expires_at": 1
      }
    ],
    "total_items": 1,
    "total_pages": 1,
    "page": 1,
    "page_size": 1,
    "search": "example",
    "filters": [
      "cancelled"
    ],
    "sort_by": "domain",
    "sort_order": "asc"
  }
}
400
Invalid query parameters
application/jsonError
Response example 400
{
  "success": false,
  "message": "Invalid query parameters",
  "error": "Invalid query parameters"
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Diventa parte della comunità

L'API DNS Regfish è un'ottima soluzione per gli sviluppatori che desiderano automatizzare domini e zone DNS. Entra a far parte della community e beneficia dell'automazione DNS. L'API DNS è disponibile gratuitamente per ogni cliente Regfish.